summaryrefslogtreecommitdiff
path: root/mail-filter/sigh/files/sigh.initd
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /mail-filter/sigh/files/sigh.initd
reinit the tree, so we can have metadata
Diffstat (limited to 'mail-filter/sigh/files/sigh.initd')
-rwxr-xr-xmail-filter/sigh/files/sigh.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/mail-filter/sigh/files/sigh.initd b/mail-filter/sigh/files/sigh.initd
new file mode 100755
index 000000000000..8fe64679bab1
--- /dev/null
+++ b/mail-filter/sigh/files/sigh.initd
@@ -0,0 +1,22 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+PIDDIR="/run/${SVCNAME}"
+
+description="Sigh is a milter that signs emails with S/MIME"
+name="S/MIME signing milter"
+pidfile="${PIDDIR}/${SVCNAME}.pid"
+command="/usr/sbin/sigh"
+command_args="-p ${pidfile} ${OPTIONS}"
+retry="30"
+
+depend() {
+ need localmount net
+ use mta logger
+}
+
+start_pre() {
+ checkpath -q -d -o sigh:sigh -m 0755 "${PIDDIR}" || return 1
+}
+